import { PreferenceService } from '@opensumi/ide-core-browser';
import { CancellationTokenSource, Disposable, Event } from '@opensumi/ide-core-common';
import { IAiBackService, IAiBackServiceOption } from '@opensumi/ide-core-common/lib/ai-native';
import { AISerivceType } from '@opensumi/ide-core-common/lib/ai-native/reporter';
import { IChatMessageStructure } from '../common';
import { ChatManagerService } from './chat-manager.service';
import { ChatModel, ChatRequestModel } from './chat-model';
export declare class AiChatService extends Disposable {
    #private;
    aiBackService: IAiBackService;
    protected preferenceService: PreferenceService;
    private readonly editorService;
    private readonly msgStreamManager;
    private readonly aiMenubarService;
    private readonly commandService;
    private readonly aiReporter;
    chatManagerService: ChatManagerService;
    private readonly _onChatMessageLaunch;
    readonly onChatMessageLaunch: Event<IChatMessageStructure>;
    private readonly _onChangeSessionId;
    readonly onChangeSessionId: Event<string>;
    private readonly _onInlineChatVisible;
    readonly onInlineChatVisible: Event<boolean>;
    private _latestSessionId;
    get latestSessionId(): string;
    private get currentEditor();
    get sessionModel(): ChatModel;
    constructor();
    launchChatMessage(data: IChatMessageStructure): void;
    launchInlineChatVisible(value: boolean): void;
    cancelIndicator: CancellationTokenSource;
    cancelIndicatorChatView: CancellationTokenSource;
    cancelToken(): void;
    cancelChatViewToken(): void;
    destroyStreamRequest(sessionId: string): Promise<void>;
    switchAIService(input: string, prompt?: string): Promise<{
        type: AISerivceType;
        message: string;
    }>;
    generateTestCodePrompt(message?: string): string;
    optimzeCodePrompt(message?: string): string;
    explainCodePrompt(message?: string): string;
    /**
     * by backend service
     * @param message
     */
    onMessage(message: string, sessionId: string): void;
    messageWithStream(input: string, options: IAiBackServiceOption | undefined, sessionId: string): Promise<void>;
    message(input: string, options?: IAiBackServiceOption): Promise<string | null>;
    searchDoc(input: string, sessionId: string): Promise<void>;
    searchCode(input: string, sessionId: string): Promise<void>;
    setLatestSessionId(id: string): void;
    createRequest(input: string, agentId: string, command?: string): ChatRequestModel | undefined;
    sendRequest(request: ChatRequestModel, regenerate?: boolean): Promise<void>;
    cancelRequest(): void;
    clearSessionModel(): void;
    dispose(): void;
}
//# sourceMappingURL=ai-chat.service.d.ts.map