"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatMarkdown = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const markdown_1 = require("@opensumi/ide-components/lib/markdown");
const styles = tslib_1.__importStar(require("./components.module.less"));
const renderSearchLinkBlock = new (class extends markdown_1.DefaultMarkedRenderer {
    link(href, title, text) {
        return `<a class="${styles.link_block}" rel="noopener" target="_blank" href="${href}" target="${href}" title="${title !== null && title !== void 0 ? title : href}">${text}</a>`;
    }
})();
const ChatMarkdown = ({ content }) => (react_1.default.createElement("div", { className: styles.ai_chat_markdown_container },
    react_1.default.createElement(markdown_1.Markdown, { value: content, renderer: renderSearchLinkBlock })));
exports.ChatMarkdown = ChatMarkdown;
//# sourceMappingURL=ChatMarkdown.js.map