"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatMoreActions = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const ai_native_1 = require("@opensumi/ide-core-browser/lib/components/ai-native");
const reporter_1 = require("@opensumi/ide-core-common/lib/ai-native/reporter");
const ai_chat_service_1 = require("../ai-chat.service");
const styles = tslib_1.__importStar(require("./components.module.less"));
const ChatMoreActions = (props) => {
    const { children, sessionId, onRetry } = props;
    const aiChatService = (0, ide_core_browser_1.useInjectable)(ai_chat_service_1.AiChatService);
    const aiReporter = (0, ide_core_browser_1.useInjectable)(reporter_1.IAIReporter);
    const [latestSessionId, setLatestSessionId] = (0, react_1.useState)(undefined);
    (0, react_1.useEffect)(() => {
        const dispose = aiChatService.onChangeSessionId((sid) => {
            setLatestSessionId(sid);
        });
        return () => dispose.dispose();
    }, [aiChatService]);
    const showOperate = (0, react_1.useMemo)(() => sessionId === aiChatService.latestSessionId, [sessionId, latestSessionId]);
    return (react_1.default.createElement("div", { className: styles.ai_chat_more_actions_container },
        react_1.default.createElement("div", { className: styles.ai_chat_message }, children),
        react_1.default.createElement("div", { className: styles.bottom_container },
            react_1.default.createElement("div", { className: styles.reset }, showOperate && onRetry ? (react_1.default.createElement(ai_native_1.EnhanceIcon, { icon: 'refresh', wrapperClassName: styles.text_btn, className: styles.transform, onClick: onRetry },
                react_1.default.createElement("span", null, "\u91CD\u65B0\u751F\u6210"))) : null),
            react_1.default.createElement("div", { className: styles.thumbs },
                react_1.default.createElement(ai_native_1.Thumbs, { relationId: sessionId, wrapperClassName: styles.icon_btn, aiReporterService: aiReporter })))));
};
exports.ChatMoreActions = ChatMoreActions;
//# sourceMappingURL=ChatMoreActions.js.map