import { AIActionItem } from '@opensumi/ide-core-browser/lib/components/ai-native';
import { CommandRegistry, Disposable, IRange } from '@opensumi/ide-core-common';
import * as monaco from '@opensumi/ide-monaco';
import { IInlineChatFeatureRegistry, InlineChatHandler } from '../types';
export declare class InlineChatFeatureRegistry extends Disposable implements IInlineChatFeatureRegistry {
    private readonly logger;
    private actionsMap;
    private handlerMap;
    commandRegistry: CommandRegistry;
    dispose(): void;
    registerInlineChat(operational: AIActionItem, handler: InlineChatHandler): void;
    getActionButtons(): AIActionItem[];
    getActionMenus(): AIActionItem[];
    getHandler(id: string): InlineChatHandler | undefined;
    getAction(id: string): AIActionItem | undefined;
    private readonly _onActionRun;
    readonly onActionRun: import("@opensumi/ide-core-common").Event<{
        id: string;
        range: IRange;
    }>;
    static getCommandId(type: 'editor' | 'terminal', id: string): string;
    getCodeActions(): monaco.languages.CodeAction[];
}
//# sourceMappingURL=inline-chat.feature.registry.d.ts.map