import { IAiInlineChatService } from '@opensumi/ide-core-browser';
import { Emitter, Event } from '@opensumi/ide-core-common';
import { IAiBackService } from '@opensumi/ide-core-common/lib/ai-native';
export declare const enum EInlineChatStatus {
    READY = 0,
    THINKING = 1,
    DONE = 2,
    ERROR = 3
}
export declare class AiInlineChatService implements IAiInlineChatService {
    aiBackService: IAiBackService;
    private _status;
    get status(): EInlineChatStatus;
    private readonly _onChatStatus;
    readonly onChatStatus: Event<EInlineChatStatus>;
    readonly _onAccept: Emitter<void>;
    readonly onAccept: Event<void>;
    readonly _onDiscard: Emitter<void>;
    readonly onDiscard: Event<void>;
    readonly _onRegenerate: Emitter<void>;
    readonly onRegenerate: Event<void>;
    private readonly _onThumbs;
    readonly onThumbs: Event<boolean>;
    fireThumbsEvent(isThumbsUp: boolean): void;
    isLoading(): boolean;
    launchChatStatus(status: EInlineChatStatus): import("@opensumi/ide-core-browser").IDisposable;
}
//# sourceMappingURL=inline-chat.service.d.ts.map