"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AiInlineChatService = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const ide_core_common_1 = require("@opensumi/ide-core-common");
const ai_native_1 = require("@opensumi/ide-core-common/lib/ai-native");
let AiInlineChatService = class AiInlineChatService {
    constructor() {
        this._status = 0 /* EInlineChatStatus.READY */;
        this._onChatStatus = new ide_core_common_1.Emitter();
        this.onChatStatus = this._onChatStatus.event;
        // 采纳
        this._onAccept = new ide_core_common_1.Emitter();
        this.onAccept = this._onAccept.event;
        // 丢弃
        this._onDiscard = new ide_core_common_1.Emitter();
        this.onDiscard = this._onDiscard.event;
        // 重新生成
        this._onRegenerate = new ide_core_common_1.Emitter();
        this.onRegenerate = this._onRegenerate.event;
        // 点赞点踩
        this._onThumbs = new ide_core_common_1.Emitter();
        this.onThumbs = this._onThumbs.event;
    }
    get status() {
        return this._status;
    }
    fireThumbsEvent(isThumbsUp) {
        this._onThumbs.fire(isThumbsUp);
    }
    isLoading() {
        return this._status === 1 /* EInlineChatStatus.THINKING */;
    }
    launchChatStatus(status) {
        return (0, ide_core_common_1.runWhenIdle)(() => {
            this._status = status;
            this._onChatStatus.fire(status);
        });
    }
};
tslib_1.__decorate([
    (0, di_1.Autowired)(ai_native_1.AiBackSerivcePath),
    tslib_1.__metadata("design:type", Object)
], AiInlineChatService.prototype, "aiBackService", void 0);
AiInlineChatService = tslib_1.__decorate([
    (0, di_1.Injectable)({ multiple: false })
], AiInlineChatService);
exports.AiInlineChatService = AiInlineChatService;
//# sourceMappingURL=inline-chat.service.js.map