"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReqStack = exports.preSuffixHandler = exports.prePromptHandler = void 0;
const tslib_1 = require("tslib");
const constants = tslib_1.__importStar(require("./constants"));
/**
 * prompt数据前处理
 * 1: 去掉所有空行
 * 2: 如果行数超过{@link constants.codeFuseDefaultConfig.completionPromptMaxLineSize},取最近的{@link constants.codeFuseDefaultConfig.completionPromptMaxLineSize}行
 * @param prompt 代码上文
 * @returns
 */
function prePromptHandler(prompt) {
    prompt = prompt.replace(/^s*[\n]/gm, '');
    const arr = prompt.split('\n');
    if (arr.length > constants.codeFuseDefaultConfig.completionPromptMaxLineSize) {
        prompt = arr.slice(-constants.codeFuseDefaultConfig.completionPromptMaxLineSize).join('\n');
    }
    return prompt;
}
exports.prePromptHandler = prePromptHandler;
/**
 * suffix数据前处理
 * 1: 去掉所有空行
 * 2: 如果行数超过{@link constants.codeFuseDefaultConfig.completionPromptMaxLineSize},取最近的{@link constants.codeFuseDefaultConfig.completionPromptMaxLineSize}行
 * @param prompt 代码上文
 * @returns
 */
function preSuffixHandler(suffix) {
    suffix = suffix.replace(/^s*[\n]/gm, '');
    const arr = suffix.split('\n');
    if (arr.length > constants.codeFuseDefaultConfig.completionSuffixMaxLineSize) {
        suffix = arr.slice(-constants.codeFuseDefaultConfig.completionSuffixMaxLineSize).join('\n');
    }
    return suffix;
}
exports.preSuffixHandler = preSuffixHandler;
class ReqStack {
    constructor() {
        this.queue = [];
    }
    addReq(reqRequest) {
        this.queue.push(reqRequest);
    }
    runReq() {
        if (this.queue.length === 0) {
            return;
        }
        const fn = this.queue.pop();
        return fn.sendRequest();
    }
    cancleRqe() {
        if (this.queue.length === 0) {
            return;
        }
        this.queue.forEach((item) => {
            item.cancelRequest();
        });
        this.queue = [];
    }
}
exports.ReqStack = ReqStack;
//# sourceMappingURL=provider.js.map