"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IChatAgentService = exports.IChatManagerService = exports.highLightLanguageSupport = exports.AiResponseTips = exports.IAiChatService = exports.AI_NATIVE_SETTING_GROUP_ID = exports.AiNativeSettingSectionsId = exports.ChatCompletionRequestMessageRoleEnum = exports.InstructionEnum = exports.AI_CHAT_DEFAULT_SIZE = exports.Ai_MENUBAR_CONTAINER_VIEW_ID = exports.Ai_CHAT_CONTAINER_VIEW_ID = exports.AiInlineChatContentWidget = void 0;
exports.AiInlineChatContentWidget = 'Ai-inline-chat-content-widget';
exports.Ai_CHAT_CONTAINER_VIEW_ID = 'ai_chat';
exports.Ai_MENUBAR_CONTAINER_VIEW_ID = 'ai_menubar';
exports.AI_CHAT_DEFAULT_SIZE = 360;
/**
 * 指令 key
 */
var InstructionEnum;
(function (InstructionEnum) {
    InstructionEnum["aiExplainKey"] = "/ Explain ";
    InstructionEnum["aiOptimzeKey"] = "/ Optimize ";
    InstructionEnum["aiCommentsKey"] = "/ Comments ";
    InstructionEnum["aiTestKey"] = "/ Test ";
    // aiSearchDocKey = '/ SearchDoc ',
    // aiSearchCodeKey = '/ SearchCode ',
    InstructionEnum["aiSumiKey"] = "/ IDE ";
    InstructionEnum["aiRunKey"] = "/ RUN ";
})(InstructionEnum = exports.InstructionEnum || (exports.InstructionEnum = {}));
var ChatCompletionRequestMessageRoleEnum;
(function (ChatCompletionRequestMessageRoleEnum) {
    ChatCompletionRequestMessageRoleEnum["System"] = "system";
    ChatCompletionRequestMessageRoleEnum["User"] = "user";
    ChatCompletionRequestMessageRoleEnum["Assistant"] = "assistant";
})(ChatCompletionRequestMessageRoleEnum = exports.ChatCompletionRequestMessageRoleEnum || (exports.ChatCompletionRequestMessageRoleEnum = {}));
var AiNativeSettingSectionsId;
(function (AiNativeSettingSectionsId) {
    AiNativeSettingSectionsId["INLINE_CHAT_AUTO_VISIBLE"] = "ai.native.inlineChat.auto.visible";
    AiNativeSettingSectionsId["CHAT_VISIBLE_TYPE"] = "ai.native.chat.visible.type";
})(AiNativeSettingSectionsId = exports.AiNativeSettingSectionsId || (exports.AiNativeSettingSectionsId = {}));
exports.AI_NATIVE_SETTING_GROUP_ID = 'AI-Native';
exports.IAiChatService = Symbol('IAiChatService');
var AiResponseTips;
(function (AiResponseTips) {
    // todo: i18n key
    AiResponseTips.ERROR_RESPONSE = '当前与我互动的人太多，请稍后再试，感谢您的理解与支持';
    AiResponseTips.STOP_IMMEDIATELY = '我先不想了，有需要可以随时问我';
    AiResponseTips.NOTFOUND_COMMAND = '很抱歉，暂时未找到可立即执行的命令。';
    AiResponseTips.NOTFOUND_COMMAND_TIP = '你可以打开命令面板搜索相关操作或者重新提问。';
})(AiResponseTips = exports.AiResponseTips || (exports.AiResponseTips = {}));
// highlight.js/lib/index.js
exports.highLightLanguageSupport = [
    '1c',
    'abnf',
    'accesslog',
    'actionscript',
    'ada',
    'angelscript',
    'apache',
    'applescript',
    'arcade',
    'arduino',
    'armasm',
    'xml',
    'asciidoc',
    'aspectj',
    'autohotkey',
    'autoit',
    'avrasm',
    'awk',
    'axapta',
    'bash',
    'basic',
    'bnf',
    'brainfuck',
    'c-like',
    'c',
    'cal',
    'capnproto',
    'ceylon',
    'clean',
    'clojure',
    'clojure-repl',
    'cmake',
    'coffeescript',
    'coq',
    'cos',
    'cpp',
    'crmsh',
    'crystal',
    'csharp',
    'csp',
    'css',
    'd',
    'markdown',
    'dart',
    'delphi',
    'diff',
    'django',
    'dns',
    'dockerfile',
    'dos',
    'dsconfig',
    'dts',
    'dust',
    'ebnf',
    'elixir',
    'elm',
    'ruby',
    'erb',
    'erlang-repl',
    'erlang',
    'excel',
    'fix',
    'flix',
    'fortran',
    'fsharp',
    'gams',
    'gauss',
    'gcode',
    'gherkin',
    'glsl',
    'gml',
    'go',
    'golo',
    'gradle',
    'groovy',
    'haml',
    'handlebars',
    'haskell',
    'haxe',
    'hsp',
    'htmlbars',
    'http',
    'hy',
    'inform7',
    'ini',
    'irpf90',
    'isbl',
    'java',
    'javascript',
    'jboss-cli',
    'json',
    'julia',
    'julia-repl',
    'kotlin',
    'lasso',
    'latex',
    'ldif',
    'leaf',
    'less',
    'lisp',
    'livecodeserver',
    'livescript',
    'llvm',
    'lsl',
    'lua',
    'makefile',
    'mathematica',
    'matlab',
    'maxima',
    'mel',
    'mercury',
    'mipsasm',
    'mizar',
    'perl',
    'mojolicious',
    'monkey',
    'moonscript',
    'n1ql',
    'nginx',
    'nim',
    'nix',
    'node-repl',
    'nsis',
    'objectivec',
    'ocaml',
    'openscad',
    'oxygene',
    'parser3',
    'pf',
    'pgsql',
    'php',
    'php-template',
    'plaintext',
    'pony',
    'powershell',
    'processing',
    'profile',
    'prolog',
    'properties',
    'protobuf',
    'puppet',
    'purebasic',
    'python',
    'python-repl',
    'q',
    'qml',
    'r',
    'reasonml',
    'rib',
    'roboconf',
    'routeros',
    'rsl',
    'ruleslanguage',
    'rust',
    'sas',
    'scala',
    'scheme',
    'scilab',
    'scss',
    'shell',
    'smali',
    'smalltalk',
    'sml',
    'sqf',
    'sql_more',
    'sql',
    'stan',
    'stata',
    'step21',
    'stylus',
    'subunit',
    'swift',
    'taggerscript',
    'yaml',
    'tap',
    'tcl',
    'thrift',
    'tp',
    'twig',
    'typescript',
    'vala',
    'vbnet',
    'vbscript',
    'vbscript-html',
    'verilog',
    'vhdl',
    'vim',
    'x86asm',
    'xl',
    'xquery',
    'zephir',
];
exports.IChatManagerService = Symbol('IChatManagerService');
exports.IChatAgentService = Symbol('IChatAgentService');
//# sourceMappingURL=index.js.map